import resolve from '@rollup/plugin-node-resolve';
import pkg from './package.json';

export default {
    input: [
        "./dist/gcode.js",
        "./dist/gcode-linter.js",
        "./dist/linter-rules.js"
    ],
    output: [
        {
            file: pkg.main,
            format: 'cjs',
        },
        {
            file: pkg.module,
            format: 'es',
        }
    ],
    external: [
        ...Object.keys(pkg.dependencies || {}),
        ...Object.keys(pkg.peerDependencies || {}),
    ],
    plugins: [resolve()]
}