import { Diagnostic } from '@codemirror/next/lint';
import { SyntaxNode } from 'lezer-tree';
import { Parser } from '../parser/parser';
export declare class MoreHelpfulParser implements Parser {
    private diagnostics;
    private cursor;
    constructor();
    check(programText: string): Diagnostic[];
    diagnose(node: SyntaxNode): void;
    private program;
    private program_start;
    private blocks;
    private block;
    private mblocks;
    private commands;
    private command;
    private mcommands;
    private end_of_block;
    private program_end;
    private if_statement;
    private while_loop;
    private do_loop;
    private end_loop;
    private assignment;
    private blockskip;
    private letter_command;
    private goto_command;
    private expression;
    private subtracted_expression;
    private multiplied_expression;
    private modified_atom;
    private negate;
    private function;
    private atom;
    getDiagnostics(): Diagnostic[];
    private addDiagnostic;
    private expect;
    private static consumeEOB;
    private static consumeComment;
}
