//
// import chai from 'chai';
// import {MoreHelpfulParser} from "./more-helpful-parser";
//
// describe('Program', () => {
//     const tests = [
//         {
//             title: 'empty program',
//             doc: '',
//             expectedDiagnosis: []
//         },
//         {
//             title: 'minimal program',
//             doc:
//               '%\n' +
//               ':0000\n' +
//               '%',
//             expectedDiagnosis: []
//         },
//         {
//             title: 'extra whitespace',
//             doc:
//               '\n' +
//               '%\n' +
//               '\n' +
//               ':0000\n' +
//               '%' +
//               '',
//             expectedDiagnosis: []
//         },
//         {
//             title: 'with comment',
//             doc:
//               '%\n' +
//               ':0000(comment)\n' +
//               '%',
//             expectedDiagnosis: []
//         },
//         {
//             title: 'missing opening %',
//             doc:
//               '\n' +
//               ':0000\n' +
//               '%' +
//               '',
//             expectedDiagnosis: [{
//                 'from': 1,
//                 'message': 'got ' + String.fromCharCode(9888) + ' expected PERCENT',
//                 'severity': 'error',
//                 'to': 6
//             }]
//         },
//         {
//             title: 'missing closing %',
//             doc:
//               '%\n' +
//               ':0000\n',
//             expectedDiagnosis: [{
//                 'from': 1,
//                 'message': 'got ' + String.fromCharCode(9888) + ' expected PERCENT',
//                 'severity': 'error',
//                 'to': 6
//             }]
//         }
//     ];
//
//     tests.forEach(test => {
//         const parser = new MoreHelpfulParser();
//         it(test.title, () => {
//             let diagnostics = [];
//             // try {
//             diagnostics = parser.check(test.doc);
//             // } catch (e) {}
//             chai.expect(test.expectedDiagnosis).to.deep.equal(diagnostics);
//         });
//     });
// });
